Subject: [PATCH 0/4] send-email: correct various issues

From: Jay Soffian <[email-masked]>
Date: Tue, 31 Mar 2009 12:22:10 -0400

Junio, these are technically all independent bug fixes, but they were
minor, so I've lumped them together. I figured you'd just add them to
the js/send-email topic anyway. Also, I apologize for causing trouble in
master. :-(

BjÃ¶rn, I've cc'd you for 3/4, which caused me to notice the problem that
led to 4/4. Uwe, I've cc'd you for 4/4.

Jay Soffian (4):
  send-email: don't attempt to prompt if tty is closed
  send-email: ask_default should apply to all emails, not just the
    first
  send-email: correct two tests which were going interactive
  send-email: ensure quoted addresses are rfc2047 encoded

 git-send-email.perl   |    9 ++++++---
 t/t9001-send-email.sh |   25 +++++++++++++++++++++----
 2 files changed, 27 insertions(+), 7 deletions(-)